import { UUIRefElement } from '@umbraco-ui/uui-ref/lib';
/**
 *  @element uui-ref-node
 *  @fires {UUIRefEvent} open - fires when the ref title is clicked
 *  @fires {UUIRefEvent} selected - fires when the ref is selected
 *  @fires {UUIRefEvent} unselected - fires when the ref is unselected
 *  @description - Component for displaying a reference to a generic node.
 *  @slot - for content
 *  @slot icon - for an icon
 *  @slot tag - for a tag
 *  @slot actions - for actions
 */
export declare class UUIRefNodeElement extends UUIRefElement {
    static styles: import("lit").CSSResult[];
    /**
     * Node name
     * @type {string}
     * @attr
     * @default ''
     */
    name: string;
    /**
     * Node details
     * @type {string}
     * @attr
     * @default ''
     */
    detail: string;
    private _iconSlotHasContent;
    protected fallbackIcon: string;
    connectedCallback(): void;
    private _onSlotIconChange;
    protected renderDetail(): import("lit-html").TemplateResult<1>;
    private _renderFallbackIcon;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-ref-node': UUIRefNodeElement;
    }
}
